Download it now!
Bug 44888 - "Interaction > Go to page or object" doesn't work for grouped objects (after save / load)
Summary: "Interaction > Go to page or object" doesn't work for grouped objects (after ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object
  Show dependency treegraph
 
Reported: 2012-01-18 01:57 UTC by Klaus Bucka-Lassen
Modified: 2019-10-18 02:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple example with two pages that demonstrates the bug (152.08 KB, application/vnd.oasis.opendocument.presentation)
2012-01-18 01:57 UTC, Klaus Bucka-Lassen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Bucka-Lassen 2012-01-18 01:57:18 UTC
Created attachment 55723 [details]
Simple example with two pages that demonstrates the bug

I have boiled this down to one simple example (attached) where I have created two pages, one with a button to jump to the second page. The first page contains the button which is a group of two objects. 

To reproduce, open the attached presentation, right click the group on the first page and choose "Interaction" from the context menu. Then select "Go to page or object" and the name of the second page ("Test") in the list box below. Press OK.

Confirm this works by clicking the grouped object (either in Edit or Presentation mode).

Now save the presentation and exit LibreOffice. Reopen the just saved presentation and click on the grouped object - it doesn't jump to the second page anymore.

A workaround is to set the "Go to page or object" on one of the individual objects (either "Enter group" or ungroup/regroup to do this).
Comment 1 sasha.libreoffice 2012-04-02 08:22:46 UTC
reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit
changing version to 3.3.4 as most early reproducible
Comment 2 sasha.libreoffice 2012-04-02 08:35:58 UTC
for comparison: in msPP 2007 adding interaction to grouped objects impossible at all. I do not know if ODF format allows this to save.
Comment 3 A (Andy) 2013-04-24 21:50:27 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 4 QA Administrators 2015-03-04 02:24:10 UTC Comment hidden (obsolete)
Comment 5 Klaus Bucka-Lassen 2015-03-06 09:23:13 UTC
Reproduced in LibreOffice 4.3.5.2 on Windows 7.

Exact same behavior as described in the original bug report.

A bit of extra information though: After setting the interaction of the grouped object to "Go to page or object" and assigning the target "Test" you are supposed to save the presentation, close down LibreOffice. Then restart LibreOffice and load the presentation. If you now check the set interaction of the grouped object, it still says "Go to page or object", but the target is gone. Somehow that seems not to have been saved.
Comment 6 tommy27 2016-04-16 07:29:11 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-10-17 21:27:28 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: d92319d2ffeaa65e31f923e0e9c7328b8d7c97bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 8 QA Administrators 2019-10-18 02:40:15 UTC
Dear Klaus Bucka-Lassen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug